opencv 2.2.0

- Main Page
- Related Pages
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Friends Macros Pages
Classes | Public Types | Public Member Functions | Public Attributes | List of all members
CvFuzzyMeanShiftTracker Class Reference

`#include <contrib.hpp>`

## Public Types
enum | { MinKernelMass = 1000 }
enum | ResizeMethod { rmEdgeDensityLinear = 0, rmEdgeDensityFuzzy = 1, rmInnerDensity = 2 }
enum | TrackingState { tsNone = 0, tsSearching = 1, tsTracking = 2, tsSetWindow = 3, tsDisabled = 10 }

## Public Member Functions
| CvFuzzyMeanShiftTracker ()
void | track (IplImage *maskImage, IplImage *depthMap, int resizeMethod, bool resetSearch, int minKernelMass=MinKernelMass)
| ~CvFuzzyMeanShiftTracker ()

## Public Attributes
SearchWindow | kernel
int | searchMode

## Member Enumeration Documentation

anonymous enum

Enumerator:

  MinKernelMass |

enum CvFuzzyMeanShiftTracker::ResizeMethod

Enumerator:

  rmEdgeDensityLinear |
  rmEdgeDensityFuzzy |
  rmInnerDensity |

enum CvFuzzyMeanShiftTracker::TrackingState

Enumerator:

  tsNone |
  tsSearching |
  tsTracking |
  tsSetWindow |
  tsDisabled |

## Constructor & Destructor Documentation

CvFuzzyMeanShiftTracker::CvFuzzyMeanShiftTracker | ( |  | ) |

CvFuzzyMeanShiftTracker::~CvFuzzyMeanShiftTracker | ( |  | ) |

## Member Function Documentation

void CvFuzzyMeanShiftTracker::track | ( | IplImage * | maskImage,
|  | IplImage * | depthMap,
|  | int | resizeMethod,
|  | bool | resetSearch,
|  | int | minKernelMass = `MinKernelMass`
| ) |  |

## Member Data Documentation

SearchWindow CvFuzzyMeanShiftTracker::kernel

int CvFuzzyMeanShiftTracker::searchMode

The documentation for this class was generated from the following file:

- /usr/obj/OpenCV-2.2.0/OpenCV-2.2.0/modules/contrib/include/opencv2/contrib/contrib.hpp